
<?php

		
		include('../conexion.php');
		
		session_start();
		 
		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='u'  or $_SESSION['tipo_usu']=='c'  or $_SESSION['tipo_usu']=='s'){
		}else{
			header('location:acceso_denegado.php');
		}



if (!isset($cadena_busqueda)) { $cadena_busqueda=""; } else { $cadena_busqueda=str_replace("",",",$cadena_busqueda); }



if ($cadena_busqueda<>"") {

	$array_cadena_busqueda=split("~",$cadena_busqueda);

	$cdgcli=$array_cadena_busqueda[1];

	$dsccli=$array_cadena_busqueda[2];

	$numplaca=$array_cadena_busqueda[3];

	$numtel=$array_cadena_busqueda[4];

} else {

	$cdgcli="";

	$dsccli="";

	$numplaca="";

	$numtel="";

}



?>

<html>

	<head>

		<title>Modulo Afiliado</title>

		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
			<script type="text/javascript" src="../funciones/validar.js"></script>

		<script language="javascript">

		

		var cursor;

		if (document.all) {

		// Está utilizando EXPLORER

		cursor='hand';

		} else {

		// Está utilizando MOZILLA/NETSCAPE

		cursor='pointer';

		}
		
		
//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = "form_busqueda"

//funcion que gestiona el evento
function TelcaPulsada( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
   if (tecla == 13) { 					//se pulso enter
      if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
         alert('Envio del formulario.')			//eliminar este alert para uso normal
         return false					//sustituir por return true para hacer el submit
      } else { 						//da el foco al siguiente campo
         eval('document.' + nombreForm + '.' + siguienteCampo + '.select()')
         return false
      }
   }
}

document.onkeydown = TelcaPulsada;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)
	


		

		function inicio() {

			document.getElementById("form_busqueda").submit();
			document.getElementById("cdgcli").focus();

		}

		

		function nuevo_Afiliado() {

			location.href="nuevo_Afiliado.php";

		}

		

		function imprimir() {

			var cdgcli=document.getElementById("cdgcli").value;

			var dsccli=document.getElementById("dsccli").value;

			var cedcli=document.getElementById("cedcli").value;			

			var numtel=document.getElementById("numtel").value;

			window.open("afiliados.php?cdgcli="+cdgcli+"&dsccli="+dsccli+"&cedcli="+cedcli+"&numtel="+numtel);

		}

		

		function buscar() {

			var cadena;

			cadena=hacer_cadena_busqueda();

			document.getElementById("cadena_busqueda").value=cadena;

			if (document.getElementById("iniciopagina").value=="") {

				document.getElementById("iniciopagina").value=1;

			} else {

				document.getElementById("iniciopagina").value=document.getElementById("paginas").value;

			}

			document.getElementById("form_busqueda").submit();
          //  document.getElementById("cdgbar").select();
		}

		

		function paginar() {

			document.getElementById("iniciopagina").value=document.getElementById("paginas").value;

			document.getElementById("form_busqueda").submit();

		}

		


		

		function hacer_cadena_busqueda() {

			var cdgcli=document.getElementById("cdgcli").value;

			var dsccli=document.getElementById("dsccli").value;

			//var cedcli=document.getElementById("cedcli").value;			

			//var numtel=document.getElementById("numtel").value;

			var cadena="";

			//cadena="~"+cdgcli+"~"+dsccli+"~"+cedcli+"~"+numtel+"~";
			cadena="~"+cdgcli+"~"+dsccli+"~";
			return cadena;

			}

			

		function limpiar() {

			document.getElementById("form_busqueda").reset();
			buscar();

		}

		

		function abreVentana(){

			
			miPopup = window.open("ver_clientes2.php","miwin","width=650,height=650,scrollbars=yes");

			miPopup.focus();

		}

		

		function validarAfiliado(){

			var codigo=document.getElementById("cdgcli").value;

			miPopup = window.open("comprobarAfiliado.php?cdgcli="+codigo,"frame_datos","width=700,height=80,scrollbars=yes");

		}	

		

		</script>

	    <style type="text/css">
<!--
.Estilo1 {
	font-size: 12pt;
	color: #FFFFFF;
}
-->
        </style>



</head>


	<body onLoad=" buscar(); inicio();">

		<div id="">

			<div id="zonaVentanas">

			  <div align="left">
<form id="form_busqueda" name="form_busqueda" method="post" action="rejilla.php" target="frame_rejilla" onSubmit="return false">
                    
      <div  id="formulario" class="contenido">
               <table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0>
          <tr>
            <td width="2">&nbsp;</td>
            <td width="115">Código Cliente</td>
            <td colspan="3"><input id="cdgcli" style='text-align:center;' type="text" class="cajaPequena" name="cdgcli"   autocomplete="off" value="<?php echo $cdgcli?>" onFocus="siguienteCampo ='dsccli';"  onChange="buscar()">
					      <img src="../img/Search_Male_User_Icon_32.png" width="32" height="32" onClick="abreVentana()" title="Buscar cliente" onMouseOver="style.cursor=cursor"> <img src="../img/Accept_Male_User_Icon_32.png" width="32" height="32" onClick="validarcliente()" title="Validar cliente" onMouseOver="style.cursor=cursor">
              <td width="181" colspan="2" rowspan="2"><img src="../img/search-b-icon (4).png" width="48" height="48" border="0" onClick="buscar()" onMouseOver="style.cursor=cursor" title="Buscar"><img src="../img/Recycle-Full-icon (3).png" name="Refrescar" width="48" height="48" border="0" id="Refrescar" onClick="limpiar()" onMouseOver="style.cursor=cursor" title="Refrescar" ></td>
            <td width="42">&nbsp;</td>
            <td width="160" rowspan="3" align="right"><a href="nuevo_vehiculo.php"><img src="../img/vehiculos.png" width="113" height="95" title="Agregar Nuevo Vehículo"></a></td>
            <td width="47" align="right">&nbsp;</td>
          </tr>
          <tr>
            <td>&nbsp;</td>
            <td height="29">Nombre Cliente</td>
            <td colspan="3"><div align="left" class="fuente8">
                <input id="dsccli" name="dsccli" type="text" class="cajaGrande"  autocomplete="off" value="<?php echo $dsccli?>"  onKeyPress="buscar()" onFocus="siguienteCampo ='cdgcli';"  onChange="buscar()">
            </div></td>
            <td width="42"></td>
            <td width="47" align="right">&nbsp;</td>
          </tr>
          
          <tr>
            <td>&nbsp;</td>
            <td height="2">Placa</td>
            <td><input id="numplaca" type="text" class="cajaMedia" name="numplaca"  autocomplete="off"  value="<?php echo $numplaca?>"  onFocus="siguienteCampo ='';" style='text-align:center;' onChange="buscar()"  onKeyPress="buscar()"> </td>
            <td>Estado</td>
            <td><select id="estado" name="estado" class="comboGrande"  onChange="buscar()" onFocus="siguienteCampo ='kmsveh';">
              <option value="" selected>TODOS</option>
              <?php
					  	$query_tipo_estatus="SELECT * FROM estatus";
                        $resultado = $mysqli->query($query_tipo_estatus) 

					  ?>
              <?php
								while ($fila = $resultado->fetch_assoc()) { ?>
              <option value="<?php echo  $fila["nomest"]?>"><?php echo  $fila["nomest"]?></option>
              <?php 
								} ?>
            </select></td>
            <td width="90">Marca</td>
            <td width="91">                <input id="marca" name="marca" type="text" class="cajaGrande"  autocomplete="off" value=""  onKeyPress="buscar()" onFocus="siguienteCampo ='';"  onChange="buscar() " ></td>
            <td>&nbsp;</td>
            <td width="47">&nbsp;</td>
            </tr>
        </table>
      </div>
      <div id="lineaResultado">

	    <table class="fuente8" width="80%" cellspacing=0 cellpadding=3 border=0>

			  	<tr>

				<td width="50%" align="left">Cantidad de Vehículos 
				  <input id="filas" type="text" class="cajaPequena" NAME="filas" maxlength="5" readonly></td>

				<td width="50%" align="right">Mostrados
<select name="paginas" id="paginas"   type"hidden"  onChange="paginar()">
                </select></td>

	  </table>

				

	  <div class="aCentro" id="frmResultado">

				<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0 ID="Table1">

						

							

							<td width="8%" class="totalResultado"> CODIGO</td>
                            
<td width="29%" class="totalResultado"><div align="left">CLIENTE </div></td>
							<td width="10%" class="totalResultado"><div align="left">PLACA </div></td>
                            <td width="15%" class="totalResultado">TIPO ACEITE</td>

							<td width="7%" class="totalResultado"> AIRE</td>

							<td width="9%" class="totalResultado"> ACEITE</td> 
                            

							<td width="12%" class="totalResultado"> COMBUSTIBLE</td> 
                            <td width="10%" class="totalResultado"> </td> 
						</tr>
				</table>
	  </div>

			
				  <input type="hidden" id="iniciopagina" name="iniciopagina">
				  
				  <input type="hidden" id="cadena_busqueda" name="cadena_busqueda">
			
			
				<div id="div">
				  <iframe style="margin: 0 0 0 0px;" width="100%" height="380" id="frame_rejilla" name="frame_rejilla" frameborder="0">
                  <ilayer height="330" id="frame_rejilla" name="frame_rejilla"></ilayer>
          
				  </iframe>
                  
               	</form>

				  <div class="aCentro" id="frmresultado">
				    <table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0 ID="Table1">
                      <tr >
                      </tr>
					  <tr id="frmresultado">
                 
                       
                      </tr>
                    </table>
			        <iframe id="frame_datos" name="frame_datos" width="0" height="0" frameborder="0">
                    <ilayer width="0" height="0" id="frame_datos" name="frame_datos"></ilayer>
			        </iframe>
				  </div>
			    </div>
			  </div>
		  </div>			



	</body>

</html>

